# Validate Confirmation Of Payee (CoP)

Confirm that you have received the result of the Confirmation of Payee request, and that you are okay with proceeding to pay out to this bank account despite the account not matching, partially matching, or the service being unavailable. Once you confirm this, you will be able to send OutboundPayments, but this may lead to funds being sent to the wrong account, which we might not be able to recover.

## Request

```curl
curl -X POST https://api.stripe.com/v2/core/vault/gb_bank_accounts/gbba_test_61RNFHlkJ5BSQ2UHh16RMXKs0JSQpGKHUiBrbrLjkVSy/acknowledge_confirmation_of_payee \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2025-09-30.preview"
```

### Response

```json
{
  "id": "gbba_test_61RNFHlkJ5BSQ2UHh16RMXKs0JSQpGKHUiBrbrLjkVSy",
  "object": "v2.core.vault.gb_bank_account",
  "archived": false,
  "bank_account_type": "checking",
  "bank_name": "Test Bank",
  "last4": "2345",
  "confirmation_of_payee": {
    "result": {
      "created": "2024-10-25T17:29:53.000Z",
      "match_result": "partial_match",
      "matched": {
        "business_type": "personal",
        "name": "Jenny Rosen"
      },
      "message": "The provided name Jennifer Rosen partially matches the name Jenny Rosen the bank has on file for this account.",
      "provided": {
        "business_type": "personal",
        "name": "Jennifer Rosen"
      }
    },
    "status": "confirmed"
  },
  "created": "2024-10-25T17:29:37.484Z",
  "sort_code": "108800",
  "livemode": true
}
```

## Parameters

- `id` (string, required)
  The GBBankAccount whose result needs to be acknowledged.

## Returns

## Response attributes

- `id` (string)
  The ID of the GBBankAccount object.

- `object` (string, value is "v2.core.vault.gb_bank_account")
  String representing the object’s type. Objects of the same type share the same value of the object field.

- `archived` (boolean)
  Whether this bank account object was archived. Bank account objects can be archived through the /archive API, and they will not be automatically archived by Stripe. Archived bank account objects cannot be used as outbound destinations and will not appear in the outbound destination list.

- `bank_account_type` (enum)
  The type of the bank account (checking or savings).
Possible enum values:
  - `checking`
    Checking account.

  - `savings`
    Savings account.

- `bank_name` (string)
  The name of the bank.

- [`confirmation_of_payee`](https://docs.stripe.com/api/v2/core/vault/gb-bank-accounts/validate.md?query=confirmation_of_payee&api-version=2025-09-30.preview) (object)
  Information around the status of Confirmation of Payee matching done on this bank account. Confirmation of Payee is a name matching service that must be done before making OutboundPayments in the UK.

- `created` (timestamp)
  Creation time.

- `last4` (string)
  The last 4 digits of the account number or IBAN.

- `livemode` (boolean)
  Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.

- `sort_code` (string)
  The Sort Code of the bank account.

## Error Codes

| HTTP status code | Code | Description |
| --- | --- | --- |
| 404 | not_found | The resource wasn’t found. |
| 409 | idempotency_error | An idempotent retry occurred with different request parameters. |
